> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /comtrade/commodities/search

> Search UN Comtrade commodity classification codes (HS/SITC/BEC) by keyword, code or parent

**Price:** 20 credits



## OpenAPI

````yaml /openapi/finance-markets.json post /api/comtrade/commodities/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/comtrade/commodities/search:
    post:
      tags:
        - /comtrade
      summary: /comtrade/commodities/search
      description: >-
        Search UN Comtrade commodity classification codes (HS/SITC/BEC) by
        keyword, code or parent


        **Price:** 20 credits
      operationId: __api_comtrade_commodities_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ComtradeCommoditiesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ComtradeCommodity'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ComtradeCommoditiesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        classification:
          $ref: '#/components/schemas/ComtradeCommodityClassification'
          default: H6
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        code:
          anyOf:
            - type: string
            - type: 'null'
        parent:
          anyOf:
            - type: string
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    ComtradeCommodity:
      properties:
        '@type':
          type: string
          default: ComtradeCommodity
        code:
          type: string
        text:
          anyOf:
            - type: string
            - type: 'null'
        parent:
          anyOf:
            - type: string
            - type: 'null'
        aggr_level:
          anyOf:
            - type: integer
            - type: 'null'
        is_leaf:
          anyOf:
            - type: boolean
            - type: 'null'
        standard_unit_abbr:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - code
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ComtradeCommodityClassification:
      type: string
      enum:
        - H0
        - H1
        - H2
        - H3
        - H4
        - H5
        - H6
        - S1
        - S2
        - S3
        - S4
        - B4
        - B5
        - EB02
        - EB10
        - EB10S
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````